"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
exports.__esModule = true;
exports.initialize = void 0;
var react_query_1 = require("react-query");
function initialize(axios, config) {
    var requests = makeRequests(axios, config === null || config === void 0 ? void 0 : config.axios);
    var queryIds = makeQueryIds();
    return {
        requests: requests,
        queryIds: queryIds,
        queries: makeQueries(requests, queryIds),
        mutations: makeMutations(requests, config === null || config === void 0 ? void 0 : config.mutations)
    };
}
exports.initialize = initialize;
function useRapiniMutation(mutationFn, config, options) {
    var _a = options !== null && options !== void 0 ? options : {}, onSuccess = _a.onSuccess, onError = _a.onError, onSettled = _a.onSettled, rest = __rest(_a, ["onSuccess", "onError", "onSettled"]);
    var queryClient = (0, react_query_1.useQueryClient)();
    var conf = config === null || config === void 0 ? void 0 : config(queryClient);
    var mutationOptions = __assign({ onSuccess: function (data, variables, context) {
            var _a;
            (_a = conf === null || conf === void 0 ? void 0 : conf.onSuccess) === null || _a === void 0 ? void 0 : _a.call(conf, data, variables, context);
            onSuccess === null || onSuccess === void 0 ? void 0 : onSuccess(data, variables, context);
        }, onError: function (error, variables, context) {
            var _a;
            (_a = conf === null || conf === void 0 ? void 0 : conf.onError) === null || _a === void 0 ? void 0 : _a.call(conf, error, variables, context);
            onError === null || onError === void 0 ? void 0 : onError(error, variables, context);
        }, onSettled: function (data, error, variables, context) {
            var _a;
            (_a = conf === null || conf === void 0 ? void 0 : conf.onSettled) === null || _a === void 0 ? void 0 : _a.call(conf, data, error, variables, context);
            onSettled === null || onSettled === void 0 ? void 0 : onSettled(data, error, variables, context);
        } }, rest);
    return (0, react_query_1.useMutation)(mutationFn, mutationOptions);
}
function nullIfUndefined(value) {
    return typeof value === "undefined" ? null : value;
}
function makeQueryIds() {
    return {
        assessmentAnswerList: function (q) { return ["assessmentAnswerList", q]; },
        assessmentQuestionList: function (assessment_id) { return ["assessmentQuestionList", assessment_id]; },
        assessmentList: function (subject_id) { return ["assessmentList", subject_id]; },
        assessmentGet: function (id) { return ["assessmentGet", id]; },
        classroomGetByStudentLevel: function () { return ["classroomGetByStudentLevel"]; },
        classroomGetTeacherId: function () { return ["classroomGetTeacherId"]; },
        classroomGet: function (id) { return ["classroomGet", id]; },
        documentGetByLesson: function (id) { return ["documentGetByLesson", id]; },
        documentGet: function (id) { return ["documentGet", id]; },
        exerciseAnswerList: function (q) { return ["exerciseAnswerList", q]; },
        exerciseList: function (lesson_id) { return ["exerciseList", lesson_id]; },
        exerciseQuestionList: function (exercise_id) { return ["exerciseQuestionList", exercise_id]; },
        exerciseGet: function (id) { return ["exerciseGet", id]; },
        filesList: function () { return ["filesList"]; },
        filesGet: function (id) { return ["filesGet", id]; },
        assessmentAnswerResponseGetResponseByAnswer: function (assessment_answer) { return ["assessmentAnswerResponseGetResponseByAnswer", assessment_answer]; },
        assessmentGradingGetByAssessment: function (assessment_id) { return ["assessmentGradingGetByAssessment", assessment_id]; },
        assessmentGradingGet: function (id) { return ["assessmentGradingGet", id]; },
        exerciseGradingGetByExercise: function (exercise_id) { return ["exerciseGradingGetByExercise", exercise_id]; },
        exerciseGradingGet: function (id) { return ["exerciseGradingGet", id]; },
        lessonsGetLessonsByTopic: function (topic_id) { return ["lessonsGetLessonsByTopic", topic_id]; },
        lessonsGet: function (id) { return ["lessonsGet", id]; },
        mediaGetByPlaylist: function (playlist_id) { return ["mediaGetByPlaylist", playlist_id]; },
        mediaGet: function (id) { return ["mediaGet", id]; },
        notesGetNotesByLesson: function (lesson_id) { return ["notesGetNotesByLesson", lesson_id]; },
        notesGet: function (id) { return ["notesGet", id]; },
        playlistGetPlaylistsByLesson: function (lesson_id) { return ["playlistGetPlaylistsByLesson", lesson_id]; },
        playlistGet: function (id) { return ["playlistGet", id]; },
        statsGetStats: function () { return ["statsGetStats"]; },
        subjectsListByClassroom: function (classroom_id) { return ["subjectsListByClassroom", classroom_id]; },
        subjectsGetByStudentLevel: function () { return ["subjectsGetByStudentLevel"]; },
        subjectsGet: function (id) { return ["subjectsGet", id]; },
        subjectsGetByTeacher: function () { return ["subjectsGetByTeacher"]; },
        taskResourceListAll: function () { return ["taskResourceListAll"]; },
        topicsGetTopicsBySubject: function (subject_id) { return ["topicsGetTopicsBySubject", subject_id]; },
        topicsGet: function (id) { return ["topicsGet", id]; },
        userGetStudent: function () { return ["userGetStudent"]; },
        userGetTeacher: function () { return ["userGetTeacher"]; },
        utilsGetCategory: function () { return ["utilsGetCategory"]; },
        utilsGetGrades: function () { return ["utilsGetGrades"]; },
        utilsGetPlan: function () { return ["utilsGetPlan"]; },
        utilsGetPlaylist: function () { return ["utilsGetPlaylist"]; },
        utilsGetSubjects: function () { return ["utilsGetSubjects"]; }
    };
}
function makeRequests(axios, config) {
    return {
        assessmentDelete: function (payload) { return axios.request({
            method: "delete",
            url: "/v1/api/assessments",
            data: payload
        }).then(function (res) { return res.data; }); },
        assessmentCreate: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/assessments",
            data: payload
        }).then(function (res) { return res.data; }); },
        assessmentAnswerCreate: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/assessments/a",
            data: payload
        }).then(function (res) { return res.data; }); },
        assessmentAnswerDelete: function (id) { return axios.request({
            method: "delete",
            url: "/v1/api/assessments/a/".concat(id)
        }).then(function (res) { return res.data; }); },
        assessmentAnswerUpdate: function (payload, id) { return axios.request({
            method: "put",
            url: "/v1/api/assessments/a/".concat(id),
            data: payload
        }).then(function (res) { return res.data; }); },
        assessmentAnswerList: function (q) { return axios.request({
            method: "get",
            url: "/v1/api/assessments/a/".concat(q)
        }).then(function (res) { return res.data; }); },
        assessmentComplete: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/assessments/complete",
            data: payload
        }).then(function (res) { return res.data; }); },
        assessmentQuestionCreate: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/assessments/q",
            data: payload
        }).then(function (res) { return res.data; }); },
        assessmentQuestionList: function (assessment_id) { return axios.request({
            method: "get",
            url: "/v1/api/assessments/q/".concat(assessment_id)
        }).then(function (res) { return res.data; }); },
        assessmentQuestionDelete: function (id) { return axios.request({
            method: "delete",
            url: "/v1/api/assessments/q/".concat(id)
        }).then(function (res) { return res.data; }); },
        assessmentQuestionUpdate: function (payload, id) { return axios.request({
            method: "put",
            url: "/v1/api/assessments/q/".concat(id),
            data: payload
        }).then(function (res) { return res.data; }); },
        assessmentList: function (subject_id) { return axios.request({
            method: "get",
            url: "/v1/api/assessments/s/".concat(subject_id)
        }).then(function (res) { return res.data; }); },
        assessmentStart: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/assessments/start",
            data: payload
        }).then(function (res) { return res.data; }); },
        assessmentGet: function (id) { return axios.request({
            method: "get",
            url: "/v1/api/assessments/".concat(id)
        }).then(function (res) { return res.data; }); },
        assessmentUpdate: function (payload, id) { return axios.request({
            method: "put",
            url: "/v1/api/assessments/".concat(id),
            data: payload
        }).then(function (res) { return res.data; }); },
        authenticationLogin: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/auth/login",
            data: payload
        }).then(function (res) { return res.data; }); },
        authenticationRegister: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/auth/register",
            data: payload
        }).then(function (res) { return res.data; }); },
        classroomDelete: function (payload) { return axios.request({
            method: "delete",
            url: "/v1/api/classrooms",
            data: payload
        }).then(function (res) { return res.data; }); },
        classroomCreate: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/classrooms",
            data: payload
        }).then(function (res) { return res.data; }); },
        classroomGetByStudentLevel: function () { return axios.request({
            method: "get",
            url: "/v1/api/classrooms/s"
        }).then(function (res) { return res.data; }); },
        classroomGetTeacherId: function () { return axios.request({
            method: "get",
            url: "/v1/api/classrooms/t"
        }).then(function (res) { return res.data; }); },
        classroomGet: function (id) { return axios.request({
            method: "get",
            url: "/v1/api/classrooms/".concat(id)
        }).then(function (res) { return res.data; }); },
        classroomUpdate: function (payload, id) { return axios.request({
            method: "put",
            url: "/v1/api/classrooms/".concat(id),
            data: payload
        }).then(function (res) { return res.data; }); },
        documentCreate: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/document",
            data: payload
        }).then(function (res) { return res.data; }); },
        documentGetByLesson: function (id) { return axios.request({
            method: "get",
            url: "/v1/api/document/l/".concat(id)
        }).then(function (res) { return res.data; }); },
        documentGet: function (id) { return axios.request({
            method: "get",
            url: "/v1/api/document/".concat(id)
        }).then(function (res) { return res.data; }); },
        exerciseDelete: function (payload) { return axios.request({
            method: "delete",
            url: "/v1/api/exercises",
            data: payload
        }).then(function (res) { return res.data; }); },
        exerciseCreate: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/exercises",
            data: payload
        }).then(function (res) { return res.data; }); },
        exerciseAnswerCreate: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/exercises/a",
            data: payload
        }).then(function (res) { return res.data; }); },
        exerciseAnswerDelete: function (id) { return axios.request({
            method: "delete",
            url: "/v1/api/exercises/a/".concat(id)
        }).then(function (res) { return res.data; }); },
        exerciseAnswerUpdate: function (payload, id) { return axios.request({
            method: "put",
            url: "/v1/api/exercises/a/".concat(id),
            data: payload
        }).then(function (res) { return res.data; }); },
        exerciseAnswerList: function (q) { return axios.request({
            method: "get",
            url: "/v1/api/exercises/a/".concat(q)
        }).then(function (res) { return res.data; }); },
        exerciseComplete: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/exercises/complete",
            data: payload
        }).then(function (res) { return res.data; }); },
        exerciseList: function (lesson_id) { return axios.request({
            method: "get",
            url: "/v1/api/exercises/l/".concat(lesson_id)
        }).then(function (res) { return res.data; }); },
        exerciseQuestionCreate: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/exercises/q",
            data: payload
        }).then(function (res) { return res.data; }); },
        exerciseQuestionList: function (exercise_id) { return axios.request({
            method: "get",
            url: "/v1/api/exercises/q/".concat(exercise_id)
        }).then(function (res) { return res.data; }); },
        exerciseQuestionDelete: function (id) { return axios.request({
            method: "delete",
            url: "/v1/api/exercises/q/".concat(id)
        }).then(function (res) { return res.data; }); },
        exerciseQuestionUpdate: function (payload, id) { return axios.request({
            method: "put",
            url: "/v1/api/exercises/q/".concat(id),
            data: payload
        }).then(function (res) { return res.data; }); },
        exerciseStart: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/exercises/start",
            data: payload
        }).then(function (res) { return res.data; }); },
        exerciseGet: function (id) { return axios.request({
            method: "get",
            url: "/v1/api/exercises/".concat(id)
        }).then(function (res) { return res.data; }); },
        exerciseUpdate: function (payload, id) { return axios.request({
            method: "put",
            url: "/v1/api/exercises/".concat(id),
            data: payload
        }).then(function (res) { return res.data; }); },
        filesList: function () { return axios.request({
            method: "get",
            url: "/v1/api/files"
        }).then(function (res) { return res.data; }); },
        filesCreate: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/files",
            data: payload
        }).then(function (res) { return res.data; }); },
        filesComplete: function (id) { return axios.request({
            method: "post",
            url: "/v1/api/files/complete/".concat(id)
        }).then(function (res) { return res.data; }); },
        filesGet: function (id) { return axios.request({
            method: "get",
            url: "/v1/api/files/".concat(id)
        }).then(function (res) { return res.data; }); },
        assessmentAnswerResponseCreate: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/g/answer/a",
            data: payload
        }).then(function (res) { return res.data; }); },
        assessmentAnswerResponseCreateLong: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/g/answer/a/l",
            data: payload
        }).then(function (res) { return res.data; }); },
        assessmentAnswerResponseGetResponseByAnswer: function (assessment_answer) { return axios.request({
            method: "get",
            url: "/v1/api/g/answer/a/".concat(assessment_answer)
        }).then(function (res) { return res.data; }); },
        exerciseAnswerResponseCreate: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/g/answer/e",
            data: payload
        }).then(function (res) { return res.data; }); },
        assessmentGradingCreate: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/grading/a",
            data: payload
        }).then(function (res) { return res.data; }); },
        assessmentGradingGetByAssessment: function (assessment_id) { return axios.request({
            method: "get",
            url: "/v1/api/grading/a/a/".concat(assessment_id)
        }).then(function (res) { return res.data; }); },
        assessmentGradingCompleteMarking: function (report_id) { return axios.request({
            method: "post",
            url: "/v1/api/grading/a/complete/marking/".concat(report_id)
        }).then(function (res) { return res.data; }); },
        assessmentGradingMark: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/grading/a/mark",
            data: payload
        }).then(function (res) { return res.data; }); },
        assessmentGradingMarkLong: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/grading/a/mark/l",
            data: payload
        }).then(function (res) { return res.data; }); },
        assessmentGradingGet: function (id) { return axios.request({
            method: "get",
            url: "/v1/api/grading/a/".concat(id)
        }).then(function (res) { return res.data; }); },
        exerciseGradingCreate: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/grading/e",
            data: payload
        }).then(function (res) { return res.data; }); },
        exerciseGradingGetByExercise: function (exercise_id) { return axios.request({
            method: "get",
            url: "/v1/api/grading/e/e/".concat(exercise_id)
        }).then(function (res) { return res.data; }); },
        exerciseGradingMark: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/grading/e/mark",
            data: payload
        }).then(function (res) { return res.data; }); },
        exerciseGradingGet: function (id) { return axios.request({
            method: "get",
            url: "/v1/api/grading/e/".concat(id)
        }).then(function (res) { return res.data; }); },
        lessonsDelete: function (payload) { return axios.request({
            method: "delete",
            url: "/v1/api/lessons",
            data: payload
        }).then(function (res) { return res.data; }); },
        lessonsCreate: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/lessons",
            data: payload
        }).then(function (res) { return res.data; }); },
        lessonsGetLessonsByTopic: function (topic_id) { return axios.request({
            method: "get",
            url: "/v1/api/lessons/t/".concat(topic_id)
        }).then(function (res) { return res.data; }); },
        lessonsGet: function (id) { return axios.request({
            method: "get",
            url: "/v1/api/lessons/".concat(id)
        }).then(function (res) { return res.data; }); },
        lessonsUpdate: function (payload, id) { return axios.request({
            method: "put",
            url: "/v1/api/lessons/".concat(id),
            data: payload
        }).then(function (res) { return res.data; }); },
        mediaDelete: function (payload) { return axios.request({
            method: "delete",
            url: "/v1/api/media",
            data: payload
        }).then(function (res) { return res.data; }); },
        mediaCreate: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/media",
            data: payload
        }).then(function (res) { return res.data; }); },
        mediaGetByPlaylist: function (playlist_id) { return axios.request({
            method: "get",
            url: "/v1/api/media/p/".concat(playlist_id)
        }).then(function (res) { return res.data; }); },
        mediaGet: function (id) { return axios.request({
            method: "get",
            url: "/v1/api/media/".concat(id)
        }).then(function (res) { return res.data; }); },
        mediaUpdate: function (payload, id) { return axios.request({
            method: "put",
            url: "/v1/api/media/".concat(id),
            data: payload
        }).then(function (res) { return res.data; }); },
        notesDelete: function (payload) { return axios.request({
            method: "delete",
            url: "/v1/api/notes",
            data: payload
        }).then(function (res) { return res.data; }); },
        notesCreate: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/notes",
            data: payload
        }).then(function (res) { return res.data; }); },
        notesGetNotesByLesson: function (lesson_id) { return axios.request({
            method: "get",
            url: "/v1/api/notes/n/".concat(lesson_id)
        }).then(function (res) { return res.data; }); },
        notesGet: function (id) { return axios.request({
            method: "get",
            url: "/v1/api/notes/".concat(id)
        }).then(function (res) { return res.data; }); },
        notesUpdate: function (payload, id) { return axios.request({
            method: "put",
            url: "/v1/api/notes/".concat(id),
            data: payload
        }).then(function (res) { return res.data; }); },
        playlistDelete: function (payload) { return axios.request({
            method: "delete",
            url: "/v1/api/playlist",
            data: payload
        }).then(function (res) { return res.data; }); },
        playlistCreate: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/playlist",
            data: payload
        }).then(function (res) { return res.data; }); },
        playlistGetPlaylistsByLesson: function (lesson_id) { return axios.request({
            method: "get",
            url: "/v1/api/playlist/l/".concat(lesson_id)
        }).then(function (res) { return res.data; }); },
        playlistGet: function (id) { return axios.request({
            method: "get",
            url: "/v1/api/playlist/".concat(id)
        }).then(function (res) { return res.data; }); },
        playlistUpdate: function (payload, id) { return axios.request({
            method: "put",
            url: "/v1/api/playlist/".concat(id),
            data: payload
        }).then(function (res) { return res.data; }); },
        statsGetStats: function () { return axios.request({
            method: "get",
            url: "/v1/api/stats"
        }).then(function (res) { return res.data; }); },
        subjectsDelete: function (payload) { return axios.request({
            method: "delete",
            url: "/v1/api/subjects",
            data: payload
        }).then(function (res) { return res.data; }); },
        subjectsCreateClassroomSubject: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/subjects/c",
            data: payload
        }).then(function (res) { return res.data; }); },
        subjectsListByClassroom: function (classroom_id) { return axios.request({
            method: "get",
            url: "/v1/api/subjects/c/".concat(classroom_id)
        }).then(function (res) { return res.data; }); },
        subjectsGetByStudentLevel: function () { return axios.request({
            method: "get",
            url: "/v1/api/subjects/s"
        }).then(function (res) { return res.data; }); },
        subjectsCreateSubject: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/subjects/s",
            data: payload
        }).then(function (res) { return res.data; }); },
        subjectsGet: function (id) { return axios.request({
            method: "get",
            url: "/v1/api/subjects/s/".concat(id)
        }).then(function (res) { return res.data; }); },
        subjectsGetByTeacher: function () { return axios.request({
            method: "get",
            url: "/v1/api/subjects/t"
        }).then(function (res) { return res.data; }); },
        subjectsUpdate: function (payload, id) { return axios.request({
            method: "put",
            url: "/v1/api/subjects/".concat(id),
            data: payload
        }).then(function (res) { return res.data; }); },
        subscriptionResourceCreate: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/subscription",
            data: payload
        }).then(function (res) { return res.data; }); },
        subscriptionResourceUserSub: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/subscription/user_sub",
            data: payload
        }).then(function (res) { return res.data; }); },
        taskResourceListAll: function () { return axios.request({
            method: "get",
            url: "/v1/api/tasks"
        }).then(function (res) { return res.data; }); },
        topicsDelete: function (payload) { return axios.request({
            method: "delete",
            url: "/v1/api/topics",
            data: payload
        }).then(function (res) { return res.data; }); },
        topicsCreate: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/topics",
            data: payload
        }).then(function (res) { return res.data; }); },
        topicsGetTopicsBySubject: function (subject_id) { return axios.request({
            method: "get",
            url: "/v1/api/topics/s/".concat(subject_id)
        }).then(function (res) { return res.data; }); },
        topicsGet: function (id) { return axios.request({
            method: "get",
            url: "/v1/api/topics/".concat(id)
        }).then(function (res) { return res.data; }); },
        topicsUpdate: function (payload, id) { return axios.request({
            method: "put",
            url: "/v1/api/topics/".concat(id),
            data: payload
        }).then(function (res) { return res.data; }); },
        userF: function () { return axios.request({
            method: "post",
            url: "/v1/api/user/f"
        }).then(function (res) { return res.data; }); },
        userGetStudent: function () { return axios.request({
            method: "get",
            url: "/v1/api/user/student"
        }).then(function (res) { return res.data; }); },
        userCreateStudent: function (payload) { return axios.request({
            method: "post",
            url: "/v1/api/user/student",
            data: payload
        }).then(function (res) { return res.data; }); },
        userGetTeacher: function () { return axios.request({
            method: "get",
            url: "/v1/api/user/teacher"
        }).then(function (res) { return res.data; }); },
        userCreateTeacher: function () { return axios.request({
            method: "post",
            url: "/v1/api/user/teacher"
        }).then(function (res) { return res.data; }); },
        utilsGetCategory: function () { return axios.request({
            method: "get",
            url: "/v1/api/utils/category"
        }).then(function (res) { return res.data; }); },
        utilsGetGrades: function () { return axios.request({
            method: "get",
            url: "/v1/api/utils/grade"
        }).then(function (res) { return res.data; }); },
        utilsGetPlan: function () { return axios.request({
            method: "get",
            url: "/v1/api/utils/plan"
        }).then(function (res) { return res.data; }); },
        utilsGetPlaylist: function () { return axios.request({
            method: "get",
            url: "/v1/api/utils/playlist"
        }).then(function (res) { return res.data; }); },
        utilsGetSubjects: function () { return axios.request({
            method: "get",
            url: "/v1/api/utils/subject"
        }).then(function (res) { return res.data; }); }
    };
}
function makeQueries(requests, queryIds) {
    return {
        useAssessmentAnswerList: function (q, options) { return (0, react_query_1.useQuery)(queryIds.assessmentAnswerList(q), function () { return requests.assessmentAnswerList(q); }, options); },
        useAssessmentQuestionList: function (assessment_id, options) { return (0, react_query_1.useQuery)(queryIds.assessmentQuestionList(assessment_id), function () { return requests.assessmentQuestionList(assessment_id); }, options); },
        useAssessmentList: function (subject_id, options) { return (0, react_query_1.useQuery)(queryIds.assessmentList(subject_id), function () { return requests.assessmentList(subject_id); }, options); },
        useAssessmentGet: function (id, options) { return (0, react_query_1.useQuery)(queryIds.assessmentGet(id), function () { return requests.assessmentGet(id); }, options); },
        useClassroomGetByStudentLevel: function (options) { return (0, react_query_1.useQuery)(queryIds.classroomGetByStudentLevel(), function () { return requests.classroomGetByStudentLevel(); }, options); },
        useClassroomGetTeacherId: function (options) { return (0, react_query_1.useQuery)(queryIds.classroomGetTeacherId(), function () { return requests.classroomGetTeacherId(); }, options); },
        useClassroomGet: function (id, options) { return (0, react_query_1.useQuery)(queryIds.classroomGet(id), function () { return requests.classroomGet(id); }, options); },
        useDocumentGetByLesson: function (id, options) { return (0, react_query_1.useQuery)(queryIds.documentGetByLesson(id), function () { return requests.documentGetByLesson(id); }, options); },
        useDocumentGet: function (id, options) { return (0, react_query_1.useQuery)(queryIds.documentGet(id), function () { return requests.documentGet(id); }, options); },
        useExerciseAnswerList: function (q, options) { return (0, react_query_1.useQuery)(queryIds.exerciseAnswerList(q), function () { return requests.exerciseAnswerList(q); }, options); },
        useExerciseList: function (lesson_id, options) { return (0, react_query_1.useQuery)(queryIds.exerciseList(lesson_id), function () { return requests.exerciseList(lesson_id); }, options); },
        useExerciseQuestionList: function (exercise_id, options) { return (0, react_query_1.useQuery)(queryIds.exerciseQuestionList(exercise_id), function () { return requests.exerciseQuestionList(exercise_id); }, options); },
        useExerciseGet: function (id, options) { return (0, react_query_1.useQuery)(queryIds.exerciseGet(id), function () { return requests.exerciseGet(id); }, options); },
        useFilesList: function (options) { return (0, react_query_1.useQuery)(queryIds.filesList(), function () { return requests.filesList(); }, options); },
        useFilesGet: function (id, options) { return (0, react_query_1.useQuery)(queryIds.filesGet(id), function () { return requests.filesGet(id); }, options); },
        useAssessmentAnswerResponseGetResponseByAnswer: function (assessment_answer, options) { return (0, react_query_1.useQuery)(queryIds.assessmentAnswerResponseGetResponseByAnswer(assessment_answer), function () { return requests.assessmentAnswerResponseGetResponseByAnswer(assessment_answer); }, options); },
        useAssessmentGradingGetByAssessment: function (assessment_id, options) { return (0, react_query_1.useQuery)(queryIds.assessmentGradingGetByAssessment(assessment_id), function () { return requests.assessmentGradingGetByAssessment(assessment_id); }, options); },
        useAssessmentGradingGet: function (id, options) { return (0, react_query_1.useQuery)(queryIds.assessmentGradingGet(id), function () { return requests.assessmentGradingGet(id); }, options); },
        useExerciseGradingGetByExercise: function (exercise_id, options) { return (0, react_query_1.useQuery)(queryIds.exerciseGradingGetByExercise(exercise_id), function () { return requests.exerciseGradingGetByExercise(exercise_id); }, options); },
        useExerciseGradingGet: function (id, options) { return (0, react_query_1.useQuery)(queryIds.exerciseGradingGet(id), function () { return requests.exerciseGradingGet(id); }, options); },
        useLessonsGetLessonsByTopic: function (topic_id, options) { return (0, react_query_1.useQuery)(queryIds.lessonsGetLessonsByTopic(topic_id), function () { return requests.lessonsGetLessonsByTopic(topic_id); }, options); },
        useLessonsGet: function (id, options) { return (0, react_query_1.useQuery)(queryIds.lessonsGet(id), function () { return requests.lessonsGet(id); }, options); },
        useMediaGetByPlaylist: function (playlist_id, options) { return (0, react_query_1.useQuery)(queryIds.mediaGetByPlaylist(playlist_id), function () { return requests.mediaGetByPlaylist(playlist_id); }, options); },
        useMediaGet: function (id, options) { return (0, react_query_1.useQuery)(queryIds.mediaGet(id), function () { return requests.mediaGet(id); }, options); },
        useNotesGetNotesByLesson: function (lesson_id, options) { return (0, react_query_1.useQuery)(queryIds.notesGetNotesByLesson(lesson_id), function () { return requests.notesGetNotesByLesson(lesson_id); }, options); },
        useNotesGet: function (id, options) { return (0, react_query_1.useQuery)(queryIds.notesGet(id), function () { return requests.notesGet(id); }, options); },
        usePlaylistGetPlaylistsByLesson: function (lesson_id, options) { return (0, react_query_1.useQuery)(queryIds.playlistGetPlaylistsByLesson(lesson_id), function () { return requests.playlistGetPlaylistsByLesson(lesson_id); }, options); },
        usePlaylistGet: function (id, options) { return (0, react_query_1.useQuery)(queryIds.playlistGet(id), function () { return requests.playlistGet(id); }, options); },
        useStatsGetStats: function (options) { return (0, react_query_1.useQuery)(queryIds.statsGetStats(), function () { return requests.statsGetStats(); }, options); },
        useSubjectsListByClassroom: function (classroom_id, options) { return (0, react_query_1.useQuery)(queryIds.subjectsListByClassroom(classroom_id), function () { return requests.subjectsListByClassroom(classroom_id); }, options); },
        useSubjectsGetByStudentLevel: function (options) { return (0, react_query_1.useQuery)(queryIds.subjectsGetByStudentLevel(), function () { return requests.subjectsGetByStudentLevel(); }, options); },
        useSubjectsGet: function (id, options) { return (0, react_query_1.useQuery)(queryIds.subjectsGet(id), function () { return requests.subjectsGet(id); }, options); },
        useSubjectsGetByTeacher: function (options) { return (0, react_query_1.useQuery)(queryIds.subjectsGetByTeacher(), function () { return requests.subjectsGetByTeacher(); }, options); },
        useTaskResourceListAll: function (options) { return (0, react_query_1.useQuery)(queryIds.taskResourceListAll(), function () { return requests.taskResourceListAll(); }, options); },
        useTopicsGetTopicsBySubject: function (subject_id, options) { return (0, react_query_1.useQuery)(queryIds.topicsGetTopicsBySubject(subject_id), function () { return requests.topicsGetTopicsBySubject(subject_id); }, options); },
        useTopicsGet: function (id, options) { return (0, react_query_1.useQuery)(queryIds.topicsGet(id), function () { return requests.topicsGet(id); }, options); },
        useUserGetStudent: function (options) { return (0, react_query_1.useQuery)(queryIds.userGetStudent(), function () { return requests.userGetStudent(); }, options); },
        useUserGetTeacher: function (options) { return (0, react_query_1.useQuery)(queryIds.userGetTeacher(), function () { return requests.userGetTeacher(); }, options); },
        useUtilsGetCategory: function (options) { return (0, react_query_1.useQuery)(queryIds.utilsGetCategory(), function () { return requests.utilsGetCategory(); }, options); },
        useUtilsGetGrades: function (options) { return (0, react_query_1.useQuery)(queryIds.utilsGetGrades(), function () { return requests.utilsGetGrades(); }, options); },
        useUtilsGetPlan: function (options) { return (0, react_query_1.useQuery)(queryIds.utilsGetPlan(), function () { return requests.utilsGetPlan(); }, options); },
        useUtilsGetPlaylist: function (options) { return (0, react_query_1.useQuery)(queryIds.utilsGetPlaylist(), function () { return requests.utilsGetPlaylist(); }, options); },
        useUtilsGetSubjects: function (options) { return (0, react_query_1.useQuery)(queryIds.utilsGetSubjects(), function () { return requests.utilsGetSubjects(); }, options); }
    };
}
function makeMutations(requests, config) {
    return {
        useAssessmentCreate: function (options) { return useRapiniMutation(function (payload) { return requests.assessmentCreate(payload); }, config === null || config === void 0 ? void 0 : config.useAssessmentCreate, options); },
        useAssessmentDelete: function (options) { return useRapiniMutation(function (payload) { return requests.assessmentDelete(payload); }, config === null || config === void 0 ? void 0 : config.useAssessmentDelete, options); },
        useAssessmentAnswerCreate: function (options) { return useRapiniMutation(function (payload) { return requests.assessmentAnswerCreate(payload); }, config === null || config === void 0 ? void 0 : config.useAssessmentAnswerCreate, options); },
        useAssessmentAnswerUpdate: function (id, options) { return useRapiniMutation(function (payload) { return requests.assessmentAnswerUpdate(payload, id); }, config === null || config === void 0 ? void 0 : config.useAssessmentAnswerUpdate, options); },
        useAssessmentAnswerDelete: function (id, options) { return useRapiniMutation(function () { return requests.assessmentAnswerDelete(id); }, config === null || config === void 0 ? void 0 : config.useAssessmentAnswerDelete, options); },
        useAssessmentComplete: function (options) { return useRapiniMutation(function (payload) { return requests.assessmentComplete(payload); }, config === null || config === void 0 ? void 0 : config.useAssessmentComplete, options); },
        useAssessmentQuestionCreate: function (options) { return useRapiniMutation(function (payload) { return requests.assessmentQuestionCreate(payload); }, config === null || config === void 0 ? void 0 : config.useAssessmentQuestionCreate, options); },
        useAssessmentQuestionUpdate: function (id, options) { return useRapiniMutation(function (payload) { return requests.assessmentQuestionUpdate(payload, id); }, config === null || config === void 0 ? void 0 : config.useAssessmentQuestionUpdate, options); },
        useAssessmentQuestionDelete: function (id, options) { return useRapiniMutation(function () { return requests.assessmentQuestionDelete(id); }, config === null || config === void 0 ? void 0 : config.useAssessmentQuestionDelete, options); },
        useAssessmentStart: function (options) { return useRapiniMutation(function (payload) { return requests.assessmentStart(payload); }, config === null || config === void 0 ? void 0 : config.useAssessmentStart, options); },
        useAssessmentUpdate: function (id, options) { return useRapiniMutation(function (payload) { return requests.assessmentUpdate(payload, id); }, config === null || config === void 0 ? void 0 : config.useAssessmentUpdate, options); },
        useAuthenticationLogin: function (options) { return useRapiniMutation(function (payload) { return requests.authenticationLogin(payload); }, config === null || config === void 0 ? void 0 : config.useAuthenticationLogin, options); },
        useAuthenticationRegister: function (options) { return useRapiniMutation(function (payload) { return requests.authenticationRegister(payload); }, config === null || config === void 0 ? void 0 : config.useAuthenticationRegister, options); },
        useClassroomCreate: function (options) { return useRapiniMutation(function (payload) { return requests.classroomCreate(payload); }, config === null || config === void 0 ? void 0 : config.useClassroomCreate, options); },
        useClassroomDelete: function (options) { return useRapiniMutation(function (payload) { return requests.classroomDelete(payload); }, config === null || config === void 0 ? void 0 : config.useClassroomDelete, options); },
        useClassroomUpdate: function (id, options) { return useRapiniMutation(function (payload) { return requests.classroomUpdate(payload, id); }, config === null || config === void 0 ? void 0 : config.useClassroomUpdate, options); },
        useDocumentCreate: function (options) { return useRapiniMutation(function (payload) { return requests.documentCreate(payload); }, config === null || config === void 0 ? void 0 : config.useDocumentCreate, options); },
        useExerciseCreate: function (options) { return useRapiniMutation(function (payload) { return requests.exerciseCreate(payload); }, config === null || config === void 0 ? void 0 : config.useExerciseCreate, options); },
        useExerciseDelete: function (options) { return useRapiniMutation(function (payload) { return requests.exerciseDelete(payload); }, config === null || config === void 0 ? void 0 : config.useExerciseDelete, options); },
        useExerciseAnswerCreate: function (options) { return useRapiniMutation(function (payload) { return requests.exerciseAnswerCreate(payload); }, config === null || config === void 0 ? void 0 : config.useExerciseAnswerCreate, options); },
        useExerciseAnswerUpdate: function (id, options) { return useRapiniMutation(function (payload) { return requests.exerciseAnswerUpdate(payload, id); }, config === null || config === void 0 ? void 0 : config.useExerciseAnswerUpdate, options); },
        useExerciseAnswerDelete: function (id, options) { return useRapiniMutation(function () { return requests.exerciseAnswerDelete(id); }, config === null || config === void 0 ? void 0 : config.useExerciseAnswerDelete, options); },
        useExerciseComplete: function (options) { return useRapiniMutation(function (payload) { return requests.exerciseComplete(payload); }, config === null || config === void 0 ? void 0 : config.useExerciseComplete, options); },
        useExerciseQuestionCreate: function (options) { return useRapiniMutation(function (payload) { return requests.exerciseQuestionCreate(payload); }, config === null || config === void 0 ? void 0 : config.useExerciseQuestionCreate, options); },
        useExerciseQuestionUpdate: function (id, options) { return useRapiniMutation(function (payload) { return requests.exerciseQuestionUpdate(payload, id); }, config === null || config === void 0 ? void 0 : config.useExerciseQuestionUpdate, options); },
        useExerciseQuestionDelete: function (id, options) { return useRapiniMutation(function () { return requests.exerciseQuestionDelete(id); }, config === null || config === void 0 ? void 0 : config.useExerciseQuestionDelete, options); },
        useExerciseStart: function (options) { return useRapiniMutation(function (payload) { return requests.exerciseStart(payload); }, config === null || config === void 0 ? void 0 : config.useExerciseStart, options); },
        useExerciseUpdate: function (id, options) { return useRapiniMutation(function (payload) { return requests.exerciseUpdate(payload, id); }, config === null || config === void 0 ? void 0 : config.useExerciseUpdate, options); },
        useFilesCreate: function (options) { return useRapiniMutation(function (payload) { return requests.filesCreate(payload); }, config === null || config === void 0 ? void 0 : config.useFilesCreate, options); },
        useFilesComplete: function (id, options) { return useRapiniMutation(function () { return requests.filesComplete(id); }, config === null || config === void 0 ? void 0 : config.useFilesComplete, options); },
        useAssessmentAnswerResponseCreate: function (options) { return useRapiniMutation(function (payload) { return requests.assessmentAnswerResponseCreate(payload); }, config === null || config === void 0 ? void 0 : config.useAssessmentAnswerResponseCreate, options); },
        useAssessmentAnswerResponseCreateLong: function (options) { return useRapiniMutation(function (payload) { return requests.assessmentAnswerResponseCreateLong(payload); }, config === null || config === void 0 ? void 0 : config.useAssessmentAnswerResponseCreateLong, options); },
        useExerciseAnswerResponseCreate: function (options) { return useRapiniMutation(function (payload) { return requests.exerciseAnswerResponseCreate(payload); }, config === null || config === void 0 ? void 0 : config.useExerciseAnswerResponseCreate, options); },
        useAssessmentGradingCreate: function (options) { return useRapiniMutation(function (payload) { return requests.assessmentGradingCreate(payload); }, config === null || config === void 0 ? void 0 : config.useAssessmentGradingCreate, options); },
        useAssessmentGradingCompleteMarking: function (report_id, options) { return useRapiniMutation(function () { return requests.assessmentGradingCompleteMarking(report_id); }, config === null || config === void 0 ? void 0 : config.useAssessmentGradingCompleteMarking, options); },
        useAssessmentGradingMark: function (options) { return useRapiniMutation(function (payload) { return requests.assessmentGradingMark(payload); }, config === null || config === void 0 ? void 0 : config.useAssessmentGradingMark, options); },
        useAssessmentGradingMarkLong: function (options) { return useRapiniMutation(function (payload) { return requests.assessmentGradingMarkLong(payload); }, config === null || config === void 0 ? void 0 : config.useAssessmentGradingMarkLong, options); },
        useExerciseGradingCreate: function (options) { return useRapiniMutation(function (payload) { return requests.exerciseGradingCreate(payload); }, config === null || config === void 0 ? void 0 : config.useExerciseGradingCreate, options); },
        useExerciseGradingMark: function (options) { return useRapiniMutation(function (payload) { return requests.exerciseGradingMark(payload); }, config === null || config === void 0 ? void 0 : config.useExerciseGradingMark, options); },
        useLessonsCreate: function (options) { return useRapiniMutation(function (payload) { return requests.lessonsCreate(payload); }, config === null || config === void 0 ? void 0 : config.useLessonsCreate, options); },
        useLessonsDelete: function (options) { return useRapiniMutation(function (payload) { return requests.lessonsDelete(payload); }, config === null || config === void 0 ? void 0 : config.useLessonsDelete, options); },
        useLessonsUpdate: function (id, options) { return useRapiniMutation(function (payload) { return requests.lessonsUpdate(payload, id); }, config === null || config === void 0 ? void 0 : config.useLessonsUpdate, options); },
        useMediaCreate: function (options) { return useRapiniMutation(function (payload) { return requests.mediaCreate(payload); }, config === null || config === void 0 ? void 0 : config.useMediaCreate, options); },
        useMediaDelete: function (options) { return useRapiniMutation(function (payload) { return requests.mediaDelete(payload); }, config === null || config === void 0 ? void 0 : config.useMediaDelete, options); },
        useMediaUpdate: function (id, options) { return useRapiniMutation(function (payload) { return requests.mediaUpdate(payload, id); }, config === null || config === void 0 ? void 0 : config.useMediaUpdate, options); },
        useNotesCreate: function (options) { return useRapiniMutation(function (payload) { return requests.notesCreate(payload); }, config === null || config === void 0 ? void 0 : config.useNotesCreate, options); },
        useNotesDelete: function (options) { return useRapiniMutation(function (payload) { return requests.notesDelete(payload); }, config === null || config === void 0 ? void 0 : config.useNotesDelete, options); },
        useNotesUpdate: function (id, options) { return useRapiniMutation(function (payload) { return requests.notesUpdate(payload, id); }, config === null || config === void 0 ? void 0 : config.useNotesUpdate, options); },
        usePlaylistCreate: function (options) { return useRapiniMutation(function (payload) { return requests.playlistCreate(payload); }, config === null || config === void 0 ? void 0 : config.usePlaylistCreate, options); },
        usePlaylistDelete: function (options) { return useRapiniMutation(function (payload) { return requests.playlistDelete(payload); }, config === null || config === void 0 ? void 0 : config.usePlaylistDelete, options); },
        usePlaylistUpdate: function (id, options) { return useRapiniMutation(function (payload) { return requests.playlistUpdate(payload, id); }, config === null || config === void 0 ? void 0 : config.usePlaylistUpdate, options); },
        useSubjectsDelete: function (options) { return useRapiniMutation(function (payload) { return requests.subjectsDelete(payload); }, config === null || config === void 0 ? void 0 : config.useSubjectsDelete, options); },
        useSubjectsCreateClassroomSubject: function (options) { return useRapiniMutation(function (payload) { return requests.subjectsCreateClassroomSubject(payload); }, config === null || config === void 0 ? void 0 : config.useSubjectsCreateClassroomSubject, options); },
        useSubjectsCreateSubject: function (options) { return useRapiniMutation(function (payload) { return requests.subjectsCreateSubject(payload); }, config === null || config === void 0 ? void 0 : config.useSubjectsCreateSubject, options); },
        useSubjectsUpdate: function (id, options) { return useRapiniMutation(function (payload) { return requests.subjectsUpdate(payload, id); }, config === null || config === void 0 ? void 0 : config.useSubjectsUpdate, options); },
        useSubscriptionResourceCreate: function (options) { return useRapiniMutation(function (payload) { return requests.subscriptionResourceCreate(payload); }, config === null || config === void 0 ? void 0 : config.useSubscriptionResourceCreate, options); },
        useSubscriptionResourceUserSub: function (options) { return useRapiniMutation(function (payload) { return requests.subscriptionResourceUserSub(payload); }, config === null || config === void 0 ? void 0 : config.useSubscriptionResourceUserSub, options); },
        useTopicsCreate: function (options) { return useRapiniMutation(function (payload) { return requests.topicsCreate(payload); }, config === null || config === void 0 ? void 0 : config.useTopicsCreate, options); },
        useTopicsDelete: function (options) { return useRapiniMutation(function (payload) { return requests.topicsDelete(payload); }, config === null || config === void 0 ? void 0 : config.useTopicsDelete, options); },
        useTopicsUpdate: function (id, options) { return useRapiniMutation(function (payload) { return requests.topicsUpdate(payload, id); }, config === null || config === void 0 ? void 0 : config.useTopicsUpdate, options); },
        useUserF: function (options) { return useRapiniMutation(function () { return requests.userF(); }, config === null || config === void 0 ? void 0 : config.useUserF, options); },
        useUserCreateStudent: function (options) { return useRapiniMutation(function (payload) { return requests.userCreateStudent(payload); }, config === null || config === void 0 ? void 0 : config.useUserCreateStudent, options); },
        useUserCreateTeacher: function (options) { return useRapiniMutation(function () { return requests.userCreateTeacher(); }, config === null || config === void 0 ? void 0 : config.useUserCreateTeacher, options); }
    };
}
